IPSW-MACHO-PATCH(1)

NAME

ipsw-macho-patch - Patch MachO Load Commands

SYNOPSIS

ipsw macho patch [add|rm|mod] [flags]

DESCRIPTION

Patch MachO Load Commands

OPTIONS

-h, --help[=false]
    help for patch

-o, --output=""
    Output new file

-f, --overwrite[=false]
    Overwrite file

-s, --re-sign[=false]
    Adhoc sign file

OPTIONS INHERITED FROM PARENT COMMANDS

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
      # Modify LC_BUILD_VERSION like vtool
      ❯ ipsw macho patch mod MACHO LC_BUILD_VERSION iOS 16.3 16.3 ld 820.1
      # Add an LC_RPATH like install_name_tool
      ❯ ipsw macho patch add MACHO LC_RPATH @executable_path/Frameworks

SEE ALSO

ipsw-macho(1)

HISTORY

1-May-2024 Auto generated by spf13/cobra